diff --git a/run-tests.sh b/run-tests.sh
index 4934d8d..3568b14 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -1,7 +1,8 @@
 #!/usr/bin/env bash
 
 export TMPDIR=${TMPDIR-/tmp}
+
 for i in tests/*/run.sh; do
     echo $i
-    $i
+    $i || exit 1
 done